<a
mat-icon-button
class="close-button"
[mat-dialog-close]="true"
matTooltip="{{ matTooltipClose }}"
>
<mat-icon>close</mat-icon>
</a>
<h2 class="font-medium" mat-dialog-title>{{ 'importUserCard' | translate }}</h2>
<form enctype="multipart/form-data" [class.hidden]="isLoading">
  <div fxLayout="row wrap" class="align-items-center">
    <div class="d-flex align-items-center m-b-15">
      <img class="mat-card-avatar" [src]="imagePreview" (click)="downloadFile()"/>
      <button
        mat-raised-button
        color="primary"
        class="m-l-15 input-file-button"
      >
        <label for="files">{{'choose a file' | translate}}</label>
        <input
          type="file"
          accept=".csv,application/vnd,application/vnd.ms-excel,application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
          (change)="onFileChange($event.target.files)"
          id="files"
          style="display:none"
        />
      </button>
    </div>
    <span class="legend"> {{ 'legend' | translate }}</span>
    <div class="legend">
      {{ 'template' | translate }}
      <a href="javascript:void(0);" (click)="downloadFile()" class="link-file"> {{'cliquer ici' | translate}} </a>
    </div>
    <mat-error *ngIf="fileError"> {{ 'errorTypeMessage' | translate }}</mat-error>
    <mat-error *ngIf="noFileError"> {{ 'errorMessage' | translate }}</mat-error>
  </div>
  <div align="end" fxLayoutGap="10px" class="buttons">
    <button mat-button mat-flat-button color="warn" (click)="onSubmit()">
      {{ 'importButton' | translate }}
    </button>
    <button mat-button type="button" class="canceled" (click)="closeDialog()">
      {{ 'cancelButton' | translate }}
    </button>
  </div>
</form>
